## org.eclipse.emf.cdo.common.model
Class CDOPackageRegistryPopulator

    java.lang.Object
      org.eclipse.net4j.util.event.Notifier
          org.eclipse.net4j.util.lifecycle.Lifecycle
              org.eclipse.net4j.util.concurrent.Worker
                  org.eclipse.emf.cdo.common.model.CDOPackageRegistryPopulator

All Implemented Interfaces:
  org.eclipse.net4j.util.event.INotifier, org.eclipse.net4j.util.event.INotifier.Introspection, org.eclipse.net4j.util.lifecycle.ILifecycle, org.eclipse.net4j.util.lifecycle.ILifecycle.Introspection

    public class CDOPackageRegistryPopulator

extends org.eclipse.net4j.util.concurrent.Worker

Since:
  2.0

Nested Class Summary
`static class` `CDOPackageRegistryPopulator.Descriptor`

Nested classes/interfaces inherited from class org.eclipse.net4j.util.concurrent.Worker
`org.eclipse.net4j.util.concurrent.Worker.WorkContext`

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle
`org.eclipse.net4j.util.lifecycle.ILifecycle.Introspection`

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier
`org.eclipse.net4j.util.event.INotifier.Introspection`

Field Summary
`static int` `DEFAULT_SOURCE_POLL_INTERVAL`

Fields inherited from class org.eclipse.net4j.util.concurrent.Worker
`DEFAULT_TIMEOUT`

Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle
`USE_LABEL`

Constructor Summary
`CDOPackageRegistryPopulator(CDOPackageRegistry target)`
`CDOPackageRegistryPopulator(org.eclipse.emf.ecore.EPackage.Registry source, CDOPackageRegistry target)`

Method Summary
`protected void` `doActivate()`
`protected void` `doWork()`
`org.eclipse.emf.ecore.EPackage.Registry` `getSource()`
`long` `getSourcePollInterval()`
`CDOPackageRegistry` `getTarget()`
`static boolean` `populate(CDOPackageRegistry target)`
`static boolean` `populate(org.eclipse.emf.ecore.EPackage.Registry source, CDOPackageRegistry target)`
`void` `setSourcePollInterval(long sourcePollInterval)`
`protected void` `work(org.eclipse.net4j.util.concurrent.Worker.WorkContext context)`

Methods inherited from class org.eclipse.net4j.util.concurrent.Worker
`doDeactivate, getActivationTimeout, getDeactivationTimeout, getThreadName, isDaemon, setActivationTimeout, setDaemon, setDeactivationTimeout`

Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle
`activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doBeforeActivate, doBeforeDeactivate, dump, getLifecycleState, isActive, isDeferredActivation, toString`

Methods inherited from class org.eclipse.net4j.util.event.Notifier
`addListener, fireEvent, getListeners, getNotificationExecutorService, hasListeners, listenersEmptyChanged, removeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_SOURCE_POLL_INTERVAL

    public static final int DEFAULT_SOURCE_POLL_INTERVAL

See Also:
  Constant Field Values

Constructor Detail

### CDOPackageRegistryPopulator

    public CDOPackageRegistryPopulator(CDOPackageRegistry target)

### CDOPackageRegistryPopulator

    public CDOPackageRegistryPopulator(org.eclipse.emf.ecore.EPackage.Registry source,
                                       CDOPackageRegistry target)

Method Detail

### getSource

    public org.eclipse.emf.ecore.EPackage.Registry getSource()

### getTarget

    public CDOPackageRegistry getTarget()

### getSourcePollInterval

    public long getSourcePollInterval()

### setSourcePollInterval

    public void setSourcePollInterval(long sourcePollInterval)

### work

    protected void work(org.eclipse.net4j.util.concurrent.Worker.WorkContext context)
                 throws java.lang.Exception

  Specified by:
    `work` in class `org.eclipse.net4j.util.concurrent.Worker`
  Throws:
    `java.lang.Exception`

### doWork

    protected void doWork()

### doActivate

    protected void doActivate()
                       throws java.lang.Exception

  Overrides:
    `doActivate` in class `org.eclipse.net4j.util.concurrent.Worker`
  Throws:
    `java.lang.Exception`

### populate

    public static boolean populate(CDOPackageRegistry target)

### populate

    public static boolean populate(org.eclipse.emf.ecore.EPackage.Registry source,
                                   CDOPackageRegistry target)

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.